Skip to main content
GET
/
{recordType}
/
{alias}
Error
A valid request URL is required to generate request examples
"{items=[{data={title=Order ID 23456 Logistics CHH Warehouse, description=Complaint received for 3 pallets of product that was shipped on Bad Pallets., severity=High}, cursor=Ijf7eqZc0RlZmluaXRpb25zfDA=}, {data={title=Order ID 1472 Logistics CHH Warehouse, description=Complaint received for 1 pallet of product that was shipped on a Bad Pallet., severity=Low}, cursor=cHJvY2Vzc0RlZmluaXRpb25zfDA=}], total=2, paging={has_next_page=false, end_cursor=cHJvY2Vzc0RlZmluaXRpb25zfDA=, start_cursor=Ijf7eqZc0RlZmluaXRpb25zfDA=, has_previous_page=false}}"

Documentation Index

Fetch the complete documentation index at: https://docs.elementum.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

recordType
string<string>
required

'apps', 'elements', 'tasks', or 'transactions'

alias
string<string>
required

The application alias

Query Parameters

first
integer<int32>
default:100

The number of elements to retrieve after the 'after' cursor location

Required range: 1 <= x <= 1000
after
string

The starting cursor to begin searching, defaults to the beginning of the list

last
integer<int32>

The number of elements to retrieve before the 'before' cursor location

Required range: 1 <= x <= 1000
before
string

The starting cursor to begin searching, defaults to the end of the list

filter
string<string>

An RSQL filter string.

Response

Ok

items
object[]
total
integer<int32>
paging
object